Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface RegistryEntryQueryType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RegistryObjectQueryType

All Known Subinterfaces:
  ClassificationSchemeQueryType, ExtrinsicObjectQueryType, RegistryPackageQueryType, ServiceQueryType

All Known Implementing Classes:
  ClassificationSchemeQueryTypeImpl, ExtrinsicObjectQueryTypeImpl, RegistryEntryQueryTypeImpl, RegistryPackageQueryTypeImpl, ServiceQueryTypeImpl

    public interface RegistryEntryQueryType

extends RegistryObjectQueryType

A representation of the model object 'Registry Entry Query Type'.

The following features are supported:

- `Registry Entry Filter`

See Also:
  `QueryPackage.getRegistryEntryQueryType()`

Method Summary
`FilterType` | `getRegistryEntryFilter()` Returns the value of the 'Registry Entry Filter' containment reference.
`void` | `setRegistryEntryFilter(FilterType value)` Sets the value of the '`Registry Entry Filter`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.query.RegistryObjectQueryType
`getAuditableEventQuery, getClassifiedByBranch, getDescriptionBranch, getExternalIdentifierFilter, getNameBranch, getRegistryObjectFilter, getSlotBranch, getSourceAssociationBranch, getTargetAssociationBranch, setDescriptionBranch, setNameBranch, setRegistryObjectFilter`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRegistryEntryFilter

    FilterType getRegistryEntryFilter()

  Returns the value of the 'Registry Entry Filter' containment reference.

  If the meaning of the 'Registry Entry Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Entry Filter' containment reference.
  See Also:
    `setRegistryEntryFilter(FilterType)`, `QueryPackage.getRegistryEntryQueryType_RegistryEntryFilter()`

### setRegistryEntryFilter

    void setRegistryEntryFilter(FilterType value)

  Sets the value of the '`Registry Entry Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Entry Filter' containment reference.
  See Also:
    `getRegistryEntryFilter()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD